View Issue Details

IDProjectCategoryView StatusLast Update
0003167GNUnetcadet servicepublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToBart Polot 
PriorityurgentSeveritycrashReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0003167: segfault in mesh
Description==32309== Invalid read of size 4
==32309== at 0x11A8EC: GMC_get_path (gnunet-service-mesh_connection.c:2308)
==32309== by 0x11288C: GMT_is_path_used (gnunet-service-mesh_tunnel.c:2270)
==32309== by 0x1299FE: peer_get_best_path (gnunet-service-mesh_peer.c:663)
==32309== by 0x12C442: GMP_connect (gnunet-service-mesh_peer.c:1308)
==32309== by 0x129C41: search_handler (gnunet-service-mesh_peer.c:742)
==32309== by 0x12E61D: dht_get_id_handler (gnunet-service-mesh_dht.c:226)
==32309== by 0x54C7061: process_reply (dht_api.c:711)
==32309== by 0x5066C46: GNUNET_CONTAINER_multihashmap_get_multiple (container_multihashmap.c:773)
==32309== by 0x54C7E80: service_message_handler (dht_api.c:957)
==32309== by 0x504F5C9: receive_task (client.c:589)
==32309== by 0x508DEC0: run_ready (scheduler.c:595)
==32309== by 0x508E812: GNUNET_SCHEDULER_run (scheduler.c:817)
==32309== Address 0x10c is not stack'd, malloc'd or (recently) free'd
==32309==
==32309==
==32309== Process terminating with default action of signal 11 (SIGSEGV): dumping core
==32309== Access not within mapped region at address 0x10C
==32309== at 0x11A8EC: GMC_get_path (gnunet-service-mesh_connection.c:2308)
==32309== by 0x11288C: GMT_is_path_used (gnunet-service-mesh_tunnel.c:2270)
==32309== by 0x1299FE: peer_get_best_path (gnunet-service-mesh_peer.c:663)
==32309== by 0x12C442: GMP_connect (gnunet-service-mesh_peer.c:1308)
==32309== by 0x129C41: search_handler (gnunet-service-mesh_peer.c:742)
==32309== by 0x12E61D: dht_get_id_handler (gnunet-service-mesh_dht.c:226)
==32309== by 0x54C7061: process_reply (dht_api.c:711)
==32309== by 0x5066C46: GNUNET_CONTAINER_multihashmap_get_multiple (container_multihashmap.c:773)
==32309== by 0x54C7E80: service_message_handler (dht_api.c:957)
==32309== by 0x504F5C9: receive_task (client.c:589)
==32309== by 0x508DEC0: run_ready (scheduler.c:595)
==32309== by 0x508E812: GNUNET_SCHEDULER_run (scheduler.c:817)
Steps To Reproducegrothoff@spec:~/svn/gnunet/src/dv$ ../testbed/gnunet-testbed-profiler -c test_transport_dv_data.conf -p 10 -e 100
TagsNo tags attached.

Relationships

child of 0001795 confirmed DV is not implemented 

Activities

Bart Polot

2013-12-09 19:39

manager   ~0007803

Fixed in r31228: abort on NULL connection before accepting into DLL.

Issue History

Date Modified Username Field Change
2013-12-08 21:57 Christian Grothoff New Issue
2013-12-08 21:57 Christian Grothoff Status new => assigned
2013-12-08 21:57 Christian Grothoff Assigned To => Bart Polot
2013-12-08 21:57 Christian Grothoff Steps to Reproduce Updated View Revisions
2013-12-08 22:25 Christian Grothoff Relationship added child of 0001795
2013-12-09 19:39 Bart Polot Note Added: 0007803
2013-12-09 19:39 Bart Polot Status assigned => resolved
2013-12-09 19:39 Bart Polot Fixed in Version => SVN HEAD
2013-12-09 19:39 Bart Polot Resolution open => fixed
2013-12-09 22:48 Christian Grothoff Fixed in Version SVN HEAD => 0.10.0
2013-12-24 20:54 Christian Grothoff Status resolved => closed
2014-05-09 18:34 Christian Grothoff Category mesh service => cadet service